Bug 440132 - Wrong keyboad mapping after installation
Wrong keyboad mapping after installation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 16:22 EDT by Carsten Breuer
Modified: 2008-07-17 23:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 23:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XOrg.0..log from fresh install of rawhide without any updates (28.23 KB, text/plain)
2008-04-13 16:37 EDT, Carsten Breuer
no flags Details

  None (edit)
Description Carsten Breuer 2008-04-01 16:22:22 EDT
Description of problem:

After installation the keyboard mapping is set to US,
even if the setting was set to DE during installation.
As a result, users can't login. 

Version-Release number of selected component (if applicable):

rawhide

How reproducible:
rawhide installation from scratch.

Expected results:

German keyboard mapping
Comment 1 Matěj Cepl 2008-04-02 18:55:17 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Carsten Breuer 2008-04-13 16:37:21 EDT
Created attachment 302283 [details]
XOrg.0..log from fresh install of rawhide without any updates

The keyboad mapping in the log is "us", but i set german->latin1-no-dead-keys.
Perhaps the problem occur because i dont setup any other user execept root.
I press "No" in the dialog box asking to add other useres.
Comment 3 Bug Zapper 2008-05-14 04:33:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-07 22:44:46 EDT
Reporter, could you please reply to the previous question? It does not look like
you have uploaded your xorg.conf file. If you won't reply in one month, I will
have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Peter Hutterer 2008-07-17 23:34:12 EDT
Looking at the log, no keyboard layout is specified in the xorg.conf.
With current F9, keyboards will honour settings in the xorg.conf, but
a matching InputDevice section is required to change the layout from the defaults.

Closing as NOTABUG, cause is misconfiguration.

Note You need to log in before you can comment on or make changes to this bug.